%global momorel 1

%define _with_gcj_support 0
%define gcj_support 0
%global with_ooo_ext 0

Name:          writer2latex
Version:       0.5
Release:       %{momorel}m%{?dist}
Summary:       Writer2LateX Document Converter
License:       LGPLv2
Url:           http://www.hj-gym.dk/~hj/writer2latex/
Source0:       http://www.hj-gym.dk/~hj/writer2latex/writer2latex05.zip
NoSource: 0
Patch0:        writer2latex05.rh.patch
BuildRequires: ant, openoffice.org-core, openoffice.org-devel
Group:         Applications/File
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      xalan-j2, xerces-j2

%description
Writer2LaTeX is a utility written in java. It converts OpenOffice.org documents – in particular documents containing formulas – into other formats. It is actually a collection of four converters, i.e.:
1) Writer2LaTeX converts documents into LaTeX 2e format for high quality typesetting.
2) Writer2BibTeX extracts bibliographic data from a document and stores it in BibTeX format (works together with Writer2LaTeX).
3) Writer2xhtml converts documents into XHTML 1.0 or XHTML 1.1+MathML 2.0 with CSS2.
4) Calc2xhtml is a companion to Writer2xhtml that converts OOo Calc documents to XHTML 1.0 with CSS2 to display your spreadsheets on the web.

%package javadoc
Summary:     Javadoc for %{name}
Group:       Documentation

%description javadoc
Javadoc for %{name}.

%if %{with_ooo_ext}
%package -n openoffice.org-%{name}
Summary:          OpenOffice.org Writer2LateX Extension
Group:            Applications/Productivity
Requires:         openoffice.org-core
Requires(pre):    openoffice.org-core
Requires(post):   openoffice.org-core
Requires(preun):  openoffice.org-core
Requires(postun): openoffice.org-core

%description -n openoffice.org-%{name}
Document Converter Extension for OpenOffice.org to provide 
XHTML, LaTeX and BibTeX export filters.
%endif

%prep
%setup -q -n writer2latex05
%patch0 -p1 -b .rh.patch
sed -i -e "s#LIBDIR#%{_libdir}#" build.xml

%build
ant jar javadoc package

%install
rm -rf $RPM_BUILD_ROOT
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -r target/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
pushd $RPM_BUILD_ROOT%{_javadocdir}
ln -s %{name}-%{version} %{name}
popd

%if %{with_ooo_ext}
# OOo extension
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/openoffice.org/extensions/writer2latex.uno.pkg
unzip target/lib/writer2latex.uno.pkg -d $RPM_BUILD_ROOT%{_libdir}/openoffice.org2.0/program/writer2latex.uno.pkg
%endif

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{with_ooo_ext}
%pre -n openoffice.org-%{name}
if [ $1 -gt 1 ]; then
    # Upgrade => deregister old extension
    unopkg remove --shared org.openoffice.legacy.writer2latex.uno.pkg || :
fi
%endif

%if %{with_ooo_ext}
%post -n openoffice.org-%{name}
    # register extension
    unopkg add --shared --link %{_datadir}/openoffice.org/extensions/writer2latex.uno.pkg || :
%endif

%if %{with_ooo_ext}
%preun -n openoffice.org-%{name}
if [ $1 -eq 0 ]; then
    # not upgrading => deregister
    unopkg remove --shared org.openoffice.legacy.writer2latex.uno.pkg || :
fi
%endif
%if %{with_ooo_ext}
%postun -n openoffice.org-%{name}
    # clear disk cache
    unopkg list --shared > /dev/null 2>&1 || :
%endif

%files
%defattr(0644,root,root,0755)
%doc COPYING.TXT Readme.txt History.txt
%{_javadir}/*
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}

%if %{with_ooo_ext}
%files -n openoffice.org-%{name}
%defattr(0644,root,root,0755)
%{_datadir}/openoffice.org/extensions/writer2latex.uno.pkg
%endif

%changelog
* Wed May 28 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.5-1m)
- import to Momonga from Fedora

* Wed Mar 26 2008 Caolan McNamara <caolanm@redhat.com> 0.5-3
- tweak for guidelines

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5-2
- Autorebuild for GCC 4.3

* Sun Dec 1 2007 Caolan McNamara <caolanm@redhat.com> 0.5-1
- initial version
